classification
Title: In minidom module ability to add Standalone Document Declaraion is missing while generating XML documents
Type: enhancement Stage: resolved
Components: XML Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hharutyunyan, scoder, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-07-09 23:26 by hharutyunyan, last changed 2020-02-29 08:23 by scoder. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14912 merged hharutyunyan, 2019-07-22 23:31
Messages (2)
msg347583 - (view) Author: Henry Harutyunyan (hharutyunyan) * Date: 2019-07-09 23:26
Though the Standalone Document Declaration in XML Declaration is optional and the default value of "no" is assumed in case it's omitted, in certain cases it makes sense to change the value to indicate the absence of external markup declarations. It's a part of W3C recommendation on XML (https://www.w3.org/TR/xml/#sec-prolog-dtd).
Though minidom module allows to modify the encoding declaration if needed, the same is not true for standalone declaration.
As I've recently came up with an issue while generating XML documents with the module I suggest adding the ability to add and modify the declaration.
msg362968 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2020-02-29 08:22
New changeset dc04a0571e362cd3de040771d7705cb107ae26fc by Henry Harutyunyan in branch 'master':
bpo-37534: Allow adding Standalone Document Declaration when generating XML documents (GH-14912)
https://github.com/python/cpython/commit/dc04a0571e362cd3de040771d7705cb107ae26fc
History
Date User Action Args
2020-02-29 08:23:51scodersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-29 08:22:41scodersetmessages: + msg362968
2019-07-22 23:31:42hharutyunyansetkeywords: + patch
stage: patch review
pull_requests: + pull_request14687
2019-07-10 02:23:21xtreaksetnosy: + scoder, serhiy.storchaka
2019-07-09 23:26:51hharutyunyancreate